2009-04-19  Stephan Arts <stephan@xfce.org>

	* == Released 0.2.12 ==
	* NEWS, configure.in.in: Bump version

2009-03-01	Jannis Pohlmann <jannis@xfce.org>

	* terminal/terminal-screen.c: Fall back to the SHELL environment
	  variable or to /bin/sh if there's no login shell defined for the
	  current user. This fixes bug #4970. Patch cooked up by Robby Workman
	  and Enrico Tröger.

2009-02-26	Jannis Pohlmann <jannis@xfce.org>

	* == Released 0.2.10 == 
	* NEWS, configure.in.in: Bump version.

2008-12-07	Nick Schermer <nick@xfce.org>

	* terminal/main.c: Fix typo, patch by Enrico Tröger.
	* terminal/trunk/terminal/terminal-screen.c, 
	  terminal/trunk/terminal/terminal-widget.h: Fix Bug #4689.

2008-11-06	Jannis Pohlmann <jannis@xfce.org>

	* terminal/terminal-dialogs.c: Change URL from os-cillation to the
	  Terminal project site on xfce.org. 

2008-09-13	Nick Schermer <nick@xfce.org>

	* terminal/terminal-screen.c: Don't depend on Glib 2.14 (using
	  g_timeout_add_seconds in the code). Bug #4378.

2008-09-05	Jannis Pohlmann <jannis@xfce.org>

	* autogen.sh: Add git svn revision versioning support.

2008-05-26	Benedikt Meurer <benny@xfce.org>

	* doc/, terminal/, THANKS: Apply patch from Mikel Ward
	  <mikel@mikelward.com> to add support for a --maximize
	  command line option.

2007-12-02	Benedikt Meurer <benny@xfce.org>

	* configure.in.in: Post-release version bump.
	* terminal/: Re-apply patch from Nick Schermer <nick@xfce.org> to
	  enable Drag and Drop for tabs between Terminal windows.
	  Bug #2684.
	* configure.in.in: Bump GTK+ requirement to 2.10 to avoid
	  the lot of potentially buggy #ifdef's.
	* NEWS: Update NEWS.

2007-12-02	Benedikt Meurer <benny@xfce.org>

	* === Released 0.2.8 ===
	* NEWS, configure.in.in: Bump version.
	* configure.in.in: Depend on libexo 0.3.4.
	* THANKS: Add missing translator credits.
	* po/*.po, po-doc/*.po: Update Project-Id-Version.
	* terminal/, configure.in.in: Revert DND patch as it would
	  require GTK 2.12, which is not possible for the 4.4.2 release.

2007-11-28	Benedikt Meurer <benny@xfce.org>

	* terminal/: Apply patch from Nick Schermer <nick@xfce.org> to
	  enable Drag and Drop for tabs between Terminal windows.
	  Bug #2684.
	* configure.in.in: Bump GTK+ requirement to 2.10 to avoid
	  the lot of potentially buggy #ifdef's.
	* NEWS: Update NEWS.

2007-11-15	Benedikt Meurer <benny@xfce.org>

	* terminal/: Add support to disable the single line scrolling
	  using Shift-Up/-Down (Bug #1927).
	* po/Terminal.pot, po/*.po: Merge new strings.
	* po/de.po: Update german translations.

2007-11-15	Benedikt Meurer <benny@xfce.org>

	* Makefile.am, terminal/: Use exo-csource to embed the UI
	  description into the Terminal binary, instead of loading
	  the user interface from the Terminal.ui file at runtime
	  (Bug #3522).
	* doc/, po-doc/: Update documentation.

2007-07-20	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-screen.c(terminal_screen_get_child_environment):
	  Use the id of the toplevel window instead of the scrolled window
	  for the $WINDOWID environment variable (Bug #3341).

2007-07-20	Benedikt Meurer <benny@xfce.org>

	* helpers/, icons/, terminal/, Makefile.am, NEWS, Terminal.ui,
	  configure.in.in, doc/: Drop the preferred application handling
	  from Terminal and use the Xfce preferred application directly.
	  This fixes a security issue, where the URL handling allowed
	  for remote shell command execution, because the helper scripts
	  were run via the shell (Bug #3383).
	* po/POTFILES.in: Update list of translatable files.
	* po/Terminal.pot, po/*.po: Merge new strings.
	* po/de.po: Update german translations.
	* po-doc/*.po: Merge new translations.

2007-07-20	Benedikt Meurer <benny@xfce.org>

	* configure.in.in: Fix typo. Be sure to defined NDEBUG if debug
	  support is minimal or disabled. Fix test for -errwarn=%all.
	* terminal/: Several small improvements.
	* NEWS, terminal/terminal-tab-header.c: Close tabs with middle
	  mouse click. Bug #3380.
	* po/Terminal.pot, po/*.po: Update translations.

2007-05-25	Benedikt Meurer <benny@xfce.org>

	* INSTALL, configure.in.in: Update for latest autoconf.
	* terminal/terminal-dialogs.c(terminal_dialogs_show_about): Add
	  support for new GTK+ 2.11 API.

2007-04-08	Jean-François Wauthy <pollux@xfce.org>

	* configure.in.in: Add support for fr translations into
	  configure.in.in (patch by Maximilian Schleiss)	

2007-02-27	Nick Schermer <nick@xfce.org>

	* configure.in.in: Apply patch from bug 2920 to check the -Wall, 
	  -Werror and -errwarn=%all flags before compiling.

2007-02-12	Benedikt Meurer <benny@xfce.org>

	* configure.in.in, terminal/terminal-shortcut-editor.c,
	  terminal/Makefile.am: Link to -lx11. Bug #2870.

2007-02-12	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-dbus.c: Apply Brian's patch to fix invalid
	  variable type for user id. Bug #2898.

2007-01-20	Benedikt Meurer <benny@xfce.org>

	* configure.in.in: Post-release version bump.

2007-01-20	Benedikt Meurer <benny@xfce.org>

	* === Released 0.2.6 ===
	* NEWS, configure.in.in: Bump version.
	* configure.in.in: Depend on libexo 0.3.2.
	* terminal/Makefile.am: No need to define EXO_API_SUBJECT_TO_CHANGE
	  any more.
	* THANKS: Add missing translator credits.
	* po/*.po, po-doc/*.po: Update Project-Id-Version.

2007-01-02	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c(terminal_window_detach_screen):
	  Do not crash when you try to detach the first tab with MiscAlwaysTabs
	  is set to TRUE. Bug #2686.
	* terminal/main.c, terminal/terminal-dialogs.c: Update Copyright dates.
	* po/Terminal.pot, po/*.po: Merge the changed string.
	* po/de.po: Update german translations.

2006-12-21	Benedikt Meurer <benny@xfce.org>

	* NEWS, configure.in.in, terminal/terminal-app.c,
	  terminal/terminal-screen.c: Add support for real transparency with
	  GTK+ 2.10 and a compositing manager. Bug #2671.

2006-11-17	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c: Apply patch from Nick Schermer
	  <nick@xfce.org> to allow reordering of tabs with GTK+ 2.10.x.
	  Bug #1974.

2006-11-06	Benedikt Meurer <benny@xfce.org>

	* configure.in.in, terminal/Makefile.am: Fix installation on case
	  insensitive file systems. Bug #2526.

2006-11-04	Benedikt Meurer <benny@xfce.org>

	* configure.in.in: Post-release version bump.

2006-11-04	Benedikt Meurer <benny@xfce.org>

	* === Released 0.2.5.8rc2 ===
	* NEWS, configure.in.in: Bump version.
	* configure.in.in: Depend on libexo 0.3.1.12rc2.
	* THANKS: Add missing translator credits.
	* po/*.po, po-doc/ja.po: Update Project-Id-Version.

2006-10-28	Benedikt Meurer <benny@xfce.org>

	* configure.in.in, terminal/Makefile.am: Don't install the symlink
	  from Terminal to terminal on Win32 platforms. Bug #2433.

2006-10-27	Benedikt Meurer <benny@xfce.org>

	* terminal/main.c(usage): Fix incorrect english in usage.
	  Bug #2381.
	* po/Terminal.pot, po/*.po: Merge new strings.
	* po/de.po: Update german translations.

2006-10-01	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences.c, terminal/terminal-screen.{c,h},
	  terminal/terminal-shortcut-editor.c, terminal/terminal-window.c,
	  Terminal.ui: Add "Paste Selection" action to the "Edit" menu.
	  Bug #2242.
	* configure.in.in, Makefile.am: Move automake options to configure.
	* doc/C/Terminal.xml.in: Update the user manual.
	* po/Terminal.pot, po/*.po: Merge new strings.
	* po/de.po: Update german translations.

2006-10-01	Benedikt Meurer <benny@xfce.org>

	* configure.in.in, terminal/main.c(main): Ignore SIGPIPE. Bug #2349.

2006-09-10	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-widget.c(terminal_widget_init): Accept drops from
	  the Thunar path bar. Bug #2284.

2006-09-02	Benedikt Meurer <benny@xfce.org>

	* configure.in.in: Post-release version bump.

2006-09-02	Benedikt Meurer <benny@xfce.org>

	* === Released 0.2.5.6rc1 ===
	* NEWS, configure.in.in: Bump version.
	* configure.in.in: Depend on libexo 0.3.1.10rc1.
	* THANKS: Add missing translator credits.
	* po/*.po, po-doc/ja.po: Update Project-Id-Version.

2006-08-26	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-widget.c: Parse file:-URIs dropped to a Terminal
	  window properly and format them so they can be used in shell commands
	  directly without having to worry about quoting. Bug #2076.
	* configure.in.in, terminal/terminal-preferences-dialog.c: Use the
	  thumbnail preview support for the background image file selection
	  that was added with exo 0.3.1.9. Bug #2069.

2006-08-12	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences.c(terminal_preferences_init): Add
	  '~' to the default word chars, as suggested by Giuseppe Torelli
	  <colossus73@gmail.com>.

2006-08-09	Benedikt Meurer <benny@xfce.org>

	* configure.in.in: Post-release version bump.
	* terminal/terminal-screen.c(terminal_screen_get_working_directory):
	  Make sure that we use linprocfs on all systems.

2006-07-10	Benedikt Meurer <benny@xfce.org>

	* === Released 0.2.5.4beta2 ===
	* NEWS, configure.in.in: Bump version.
	* configure.in.in: Depend on libexo 0.3.1.8beta2.
	* THANKS: Add missing translator credits.
	* po/*.po, po-doc/ja.po: Update Project-Id-Version.

2006-07-09	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-widget.c: Revert the previous patch, as the
	  new regex cannot be compiled on some systems.

2006-07-01	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-widget.c: Apply patch from James Westby
	  <jw+xfce@jameswestby.net> to fix recognition of email addresses
	  with + in the username.

2006-06-13	Benedikt Meurer <benny@xfce.org>

	* configure.in.in: Use --as-needed if supported by the linker.
	* terminal/terminal-tab-header.c(terminal_tab_header_init): Use
	  GtkLabel instead of ExoEllipsizedLabel.

2006-05-29	Benedikt Meurer <benny@xfce.org>

	* terminal/main.c(main): VTE is still too buggy to make warnings
	  fatal when compiled with --enable-debug=full.

2006-05-25	Benedikt Meurer <benny@xfce.org>

	* helpers/firefox.desktop.in: Don't forcibly open a new window for
	  Firefox, but do whatever the user configured in Firefox. Bug #1841.

2006-05-20	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences.c(terminal_preferences_set_property):
	  Start with the default value, otherwise several settings will not
	  be saved properly. Bug #1821.

2006-05-20	Benedikt Meurer <benny@xfce.org>

	* terminal/main.c(main): Make warnings fatal if built with
	  --enable-debug=full.

2006-05-20	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-dialogs.{c,h}, terminal/Makefile.am,
	  terminal/terminal-preferences-dialog.c, terminal/terminal-screen.c,
	  terminal/terminal-shortcut-editor.c, terminal/terminal-window.c:
	  Move common dialogs to terminal-dialogs.c.
	* terminal/terminal-window.c(terminal_window_update_actions): If
	  MiscCycleTabs is enabled, the "Previos Tab" and "Next Tab" actions
	  should be sensitive only if the window contains more than one tab.
	* terminal/terminal-preferences.c(terminal_preferences_class_init):
	  Use EXO_PARAM_READWRITE instead of G_PARAM_READWRITE. Do not mark
	  the property nicks/blurbs as translatable that are not used in the
	  user interface.
	* configure.in.in, terminal/Makefile.am: Improve debug support
	  flags, based on Thunar's configure.in.in.
	* terminal/terminal-preferences-dialog.c: Several cleanups.
	* terminal/terminal-helper-dialog.c(terminal_helper_dialog_init):
	  Allow to close the "Preferred Applications" dialog using Esc.
	* terminal/terminal-app.c(terminal_app_open_window),
	  terminal/terminal-preferences.c: Add "MiscDefaultGeometry" setting
	  which specifies the default window geometry if no --geometry option
	  is given on the command line. Bug #1820.
	* doc/C/Terminal.xml.in, doc/ja/Terminal.xml.in, po-doc/ja.po: Update
	  the user manual.
	* po/POTFILES.in: Add new files here.
	* po/Terminal.pot, po/*.po: Updated.
	* po/de.po: Update german translations.

2006-05-14	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c(terminal_window_screen_removed): Fix a
	  possible crash when removing all terminal screens at once.

2006-05-01	Benedikt Meurer <benny@xfce.org>

	* icons/48x48/Makefile.am: Properly install Terminal.png into the
	  hicolor icon theme. Bug #1748.

2006-04-24	Benedikt Meurer <benny@xfce.org>

	* NEWS: Update version.
	* THANKS: Add translator credits for the catalan translators.

2006-04-23	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences-dialog.c
	  (terminal_preferences_dialog_init): Use "Close" label instead of
	  "Cancel". Bug #1714.

2006-04-18	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c(terminal_window_action_about): Use
	  GPL license text provided by libxfce4util.

2006-04-16	Benedikt Meurer <benny@xfce.org>

	* configure.in.in: Post-release version bump.

2006-04-16	Benedikt Meurer <benny@xfce.org>

	* === Released 0.2.5.1beta1 ===
	* NEWS, configure.in.in: Bump version.
	* Terminal.spec.in: Update RPM spec file.
	* configure.in.in: Depend on libexo 0.3.16beta1.

2006-04-16	Benedikt Meurer <benny@xfce.org>

	* po/Terminal.pot, po/*.po: Updated.
	* po/de.po: Update german translations.
	* po-doc/ja.po, doc/ja/Terminal.xml.in: Updated.
	* THANKS: Add translator credits for Andrey
	  Fedoseev <andrey.fedoseev@gmail.com>.

2006-04-16	Benedikt Meurer <benny@xfce.org>

	* NEWS: Update NEWS.
	* doc/C/Terminal.xml.in: Update documentation date.

2006-04-15	Benedikt Meurer <benny@xfce.org>

	* icons/: stock/generic is no longer present in the hicolor icon theme.
	  Use stock/navigation instead.
	* terminal/terminal-preferences-dialog.c
	  (terminal_preferences_dialog_init): Allow to close the preferences
	  dialog using Escape.

2006-04-09	Benedikt Meurer <benny@xfce.org>

	* icons/Makefile.am: Be sure to run gtk-update-icon-cache after
	  installing new icons into the hicolor icon theme (skipped if $DESTDIR
	  is set).

2006-03-12	Benedikt Meurer <benny@xfce.org>

	* po-doc/, Makefile.am, configure.in.in: Apply Daichi's patch to enable
	  translation of the user manual through .po files, using xml2po.

2006-03-11	Benedikt Meurer <benny@xfce.org>

	* helpers/sylpheed-claws.desktop.in: Fix typo.

2006-03-11	Benedikt Meurer <benny@xfce.org>

	* helpers/sylpheed-claws.desktop.in, helpers/Makefile.am: Add Sylpheed
	  Claws as MailReader to the helper list. Thanks to Bernhard Walle
	  <bernhard.walle@gmx.de>.

2006-03-06	Benedikt Meurer <benny@xfce.org>

	* configure.in.in: Fix PACKAGE_BUGREPORT.

2006-03-06	Benedikt Meurer <benny@xfce.org>

	* autogen.sh, configure.in.in, po/LINGUAS: Read the set of available
	  languages from po/LINGUAS and substitute them when autogen.sh is
	  run. This way we can continue to use glib-gettext.

2006-03-01	Benedikt Meurer <benny@xfce.org>

	* NEWS: Updated news items.

2006-03-01	Benedikt Meurer <benny@xfce.org>

	* TerminalHelp.in: Use exo-open to display the documentation.
	* terminal/terminal-preferences.c(terminal_preferences_class_init):
	  Enable "misc-cycle-tabs" by default.
	* doc/C/: Update the user manual.
	* terminal/Makefile.am, terminal/terminal-dbus.c,
	  terminal/terminal-widget.c: Include <exo/exo.h> instead of
	  <libxfce4util/libxfce4util.h>.

2006-02-25	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c(terminal_window_action_set_title): Apply
	  Daichi's patch to distinguish between the "Set Title" string in the
	  menu action and the "Set Title" string in the dialog title.

2006-02-25	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences.c: Add hidden option MiscInheritGeometry
	  which controls whether new windows will inherit the geometry of the
	  parent window.
	* terminal/terminal-window.{c,h}: Make terminal_window_get_active()
	  public.
	* terminal/terminal-app.c(terminal_app_new_window): If the user has
	  enabled MiscInheritGeometry, try to apply the geometry of the
	  previous window to the new window.
	* doc/C/Terminal.xml.in: Update the user manual.

2006-02-24	Benedikt Meurer <benny@xfce.org>

	* autogen.sh: Be sure to run svn info with LC_ALL=C.

2006-02-19	Benedikt Meurer <benny@xfce.org>

	* NEWS, THANKS: Add translator credits for Stavros Giannouris (el
	  translator).
	* Terminal.ui, terminal/terminal-preferences.c,
	  terminal/terminal-shortcut-editor.c, terminal/terminal-window.c: Add
	  new action "Detach Tab" to the UI manager and the shortcuts manager.
	  Bug #1477.
	* po/Terminal.pot, po/*.po: Merge new strings.

2006-02-18	Daichi Kawahata <daichi@xfce.org>

	* configure.in.in: Add "el" to XDT_I18N().

2006-02-14	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences.c, terminal/terminal-window.c: Add new
	  hidden setting "MiscAlwaysShowTabs", based on a patch provided by
	  Alexander Iliev <sasoiliev@mamul.dyndns.org>.
	* terminal/terminal-preferences.c, terminal/terminal-window.c: Add new
	  hidden setting "MiscTabPosition" which specifies the position where
	  the notebook tabs should be placed (can be either GTK_POS_TOP,
	  GTK_POS_BOTTOM, GTK_POS_RIGHT or GTK_POS_LEFT).
	* terminal/terminal-tab-header.c: Use vertical labels if the tab 
	  position is GTK_POS_RIGHT or GTK_POS_LEFT.
	* doc/C/Terminal.xml.in: Add new hidden options to the manual.

2006-02-14	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-screen.c(terminal_screen_get_child_environment):
	  Set DISPLAY properly for multi-screen per display environments.
	  Bug #1461.

2006-02-10	Benedikt Meurer <benny@xfce.org>

	* doc/C/Terminal.xml.in, terminal/main.c: Apply Diachi's 2nd typo
	  correction patch. Bug #1443.

2006-02-09	Benedikt Meurer <benny@xfce.org>

	* doc/C/Terminal.xml.in: Apply Daichi's documentation patch to fix
	  various typos. Bug #1443.

2006-02-08	Benedikt Meurer <benny@xfce.org>

	* NEWS, THANKS: Apply Daichi's name correction patch.

2006-02-06	Benedikt Meurer <benny@xfce.org>

	* helpers/Makefile.am, helpers/exo-open-browser.desktop.in,
	  helpers/exo-open-mailer.desktop.in: Add support for exo-open to
	  the helper framework.

2006-01-28	Benedikt Meurer <benny@xfce.org>

	* terminal/Makefile.am: Be sure to include <config.h> in
	  terminal/terminal-enum-types.h first. This fixes bug #1388.

2006-01-11	Daichi Kawahata <daichi@xfce.org>

	* configure.in.in: Add "ca" to XDT_I18N().

2006-01-03	Benedikt Meurer <benny@xfce.org>

	* doc/C/Terminal.xml.in, terminal/terminal-window.c,
	  terminal/main.c, Terminal-toolbars.ui, Terminal.ui: Update copyright.
	* terminal/stock-icons/, terminal/terminal-stock.{c,h}, Makefile.am,
	  icons/, configure.in.in, terminal/Makefile.am, pixmaps/,
	  terminal/main.c, terminal/terminal-helper-dialog.c,
	  terminal/terminal-preferences-dialog.c, terminal/terminal-window.c,
	  terminal/terminal-toolbars-view.c: Reorganize the stock icon handling
	  to use themed icons instead of hardcoded defaults. The stock icon
	  names weren't changed, so existing Gtk+ themes will continue to work
	  properly.
	* terminal/terminal-window.c, terminal/terminal-preferences-dialog.c,
	  terminal/terminal-shortcut-editor.c: Use stock-id macros.
	* Terminal.desktop.in: Add Version key.
	* terminal/terminal-accel-map.c, terminal/terminal-app.c,
	  terminal/terminal-helper-dialog.c, terminal/terminal-helper.c,
	  terminal/terminal-image-loader.c, terminal/terminal-monitor.c,
	  terminal/terminal-preferences-dialog.c,
	  terminal/terminal-preferences.c, terminal/terminal-screen.c,
	  terminal/terminal-shortcut-editor.c, terminal/terminal-tab-header.c,
	  terminal/terminal-toolbars-model.c, terminal/terminal-toolbars-view.c,
	  terminal/terminal-widget.c, terminal/terminal-window.c: We don't need
	  another parent_class pointer, as G_DEFINE_TYPE() already provides a
	  pointer to the parent class.
	* configure.in.in, terminal/Makefile.am: Drop dependency on libxfcegui4
	  and add dependency on Gtk+ 2.6.0.
	* terminal/terminal-window.c: Use GtkAboutDialog instead of
	  XfceAboutDialog.
	* terminal/terminal-helper.{c,h}, terminal/terminal-helper-dialog.c:
	  Use GtkIconTheme instead of XfceIconTheme.
	* terminal/terminal-window.c: Use Gtk+ 2.6.0 functions where applicable.
	* NEWS: Add new items.
	* po/*.po, po/Terminal.pot: Update translations.

2005-12-12	Benedikt Meurer <benny@xfce.org>

	* NEWS, THANKS, terminal/terminal-window.c: Add Kibum Han
	  <yui@yui.pe.kr> to the credits.
	* doc/C/Terminal.xml.in: Update URLs.

2005-12-11	Daichi Kawahata <daichi@xfce.org>

	* configure.in.in: Add "ko" to XDT_I18N().

2005-12-04	Benedikt Meurer <benny@xfce.org>

	* HACKING, README: Update URLs and descriptions.

2005-11-30	Benedikt Meurer <benny@xfce.org>

	* NEWS, THANKS, terminal/terminal-window.c: Add Piarres Beobide
	  Egana <pi@beobide.net> to the credits.
	* THANKS, terminal/terminal-window.c: Change Daichi's email address
	  to <daichi@xfce.org> as requested.

2005-11-30	Daichi Kawahata <daichi@xfce.org>

	* configure.in.in: Add "eu" to XDT_I18N().

2005-11-25	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-options.c(terminal_options_parse): Fix typo when
	  parsing the parameter for the --working-directory option.

2005-11-22	Daichi Kawahata <daichi@xfce.org>

	* configure.in.in: Add "pt_BR" to XDT_I18N().

2005-11-21	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences-dialog.c
	  (terminal_preferences_dialog_init): Gtk+ 2.9 now includes the fix for
	  the GtkComboBox notify::active bug.

2005-11-16	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-widget.c(terminal_widget_drag_data_received): Fix
	  a bunch of gcc4 warnings.

2005-10-10	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-screen.c(terminal_screen_update_binding_delete):
	  Set VTE delete binding properly, patch provided by Bernhard Walle
	  <bernhard@bwalle.de>.

2005-09-14	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c: Fix duplicated mnemonics in "File" and
	  "Edit" menu.

2005-08-30	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-widget.c: Add support for application/x-color drops.
	* terminal/terminal-preferences-dialog.c,
	  terminal/terminal-preferences.c, terminal/terminal-screen.c: Improve
	  the selection and cursor color handling, based on a patch provided by
	  Bernhard Walle <bernhard@bwalle.de>.

2005-08-19	Benedikt Meurer <benny@xfce.org>

	* autogen.sh, configure.in.in: Import framework changes from Thunar.
	  Fix debugging support.
	* configure.in.in: Drop the dependency on the XML::Parser perl module
	  for intltool.
	* configure.in.in, terminal/Makefile.am: Add explicit dependency on
	  libxfcegui4.
	* Makefile.am: Set automake options properly.
	* terminal/terminal-screen.c, terminal/terminal-shortcut-editor.c,
	  terminal/terminal-window.c: Drop explicit dependency on X11.
	* terminal/terminal-helper.c: Include <libxfcegui4/libxfcegui4.h>.
	* po/Terminal.pot: Remove autogenerated file.
	* terminal/terminal-widget.c: Use special regular expression to detect
	  an email address with glibc, because glibc does not seem to handle
	  the portable regex at a reasonable speed.

2005-07-06	Benedikt Meurer <benny@xfce.org>

	* NEWS, THANKS, configure.ac, terminal/terminal-window.c, po/vi.po:
	  Add vietnamese translations, thanks to Phan Vĩnh Thịnh
	  <teppi@vnlinux.org>.

2005-06-27	Benedikt Meurer <benny@xfce.org>

	* NEWS: Add comments about recently added features.
	* po/Terminal.pot, po/*.po: Run `gmake update-po'.

2005-06-27	Benedikt Meurer <benny@xfce.org>

	* doc/C/Terminal.xml.in, terminal/main.c, terminal/terminal-app.c,
	  terminal/terminal-options.{c,h}, terminal/terminal-screen.{c,h}: Add
	  new command line option -H, --hold which can be used to keep the
	  terminal tab/window around even after the child command exited. This
	  fixes bug #78.

2005-06-27	Benedikt Meurer <benny@xfce.org>

	* helpers/*.desktop.in, po/*.po: Apply Daichi's patch to fix misc
	  errors in the .desktop and .po files, see attachment 33 to #83.
	* terminal/terminal-dbus.c, terminal/terminal-helper.c,
	  terminal/terminal-monitor.c, terminal/terminal-preferences-dialog.c,
	  terminal/terminal-preferences.c, terminal/terminal-screen.c,
	  terminal/terminal-window.c: Apply Daichi's patch to fix various
	  compiler warnings. The patch was slightly modified. This finally
	  fixes bug #83.

2005-06-27	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c(terminal_window_screen_removed,
	  terminal_window_add): Don't give focus to the notebook tabs, fixes
	  bug #93.

2005-06-27	Benedikt Meurer <benny@xfce.org>

	* po/it.po, THANKS, configure.ac, terminal/terminal-window.c: Add
	  it translations, thanks to Vittorio Palmisano <redclay@email.it>.

2005-06-13	Benedikt Meurer <benny@xfce.org>

	* po/ja.po: Update japanese translations, thanks to Daichi Kawahata
	  <daichik@users.sourceforge.net>.

2005-06-12	Benedikt Meurer <benny@xfce.org>

	* TerminalHelp.in: Apply Daichi's patch to remove extra apostrophe. This
	  fixes bug #90.

2005-06-11	Benedikt Meurer <benny@xfce.org>

	* terminal/main.c: Apply Daichi's patch to fix the encoding related
	  problems with the --help output. This fixes #72.

2005-06-11	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences.c, terminal/terminal-screen.c: Apply
	  mouse autohide patch from Kir Kolyshkin <kir@sacred.ru>. This fixes
	  bug #88.
	* THANKS: Add Kir Kolyshkin <kir@sacred.ru> here.
	* doc/C/Terminal.xml.in: Add documentation for the new hidden option
	  MiscMouseAutohide.

2005-06-11	Benedikt Meurer <benny@xfce.org>

	* THANKS, configure.ac, po/hu.po, terminal/terminal-window.c: Add hu
	  translations, thanks to Szervác Attila <sas@321.hu>.
	* po/ja.po: Update japanese translations, thanks to Daichi Kawahata
	  <daichik@users.sourceforge.net>.

2005-03-24	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c: Work-around the problem where
	  gtk_ui_manager_get_widget() does return a valid widget, which
	  is not a GtkMenuItem.

2005-03-19	Benedikt Meurer <benny@xfce.org>

	* configure.ac, NEWS: Bump version to 0.2.5cvs.
	* po/: Sync with source file changes.
	* terminal/terminal-shortcut-editor.c, terminal/terminal-preferences.c:
	  Allow users to assign a keyboard shortcut to open the Preferred
	  Applications dialog.
	* terminal/terminal-window.c: Actually connect the Help button in the
	  Preferred Applications dialog.

2005-03-19	Benedikt Meurer <benny@xfce.org>

	* configure.ac, NEWS: Version 0.2.4.
	* terminal/terminal-helper-dialog.c, terminal/Makefile.am: Use
	  Terminal's bindir as default location for the Browse... dialog.
	* terminal/terminal-helper-dialog.c(browse_clicked): Use Ok instead
	  of Open for the Browse... dialog, since we don't open anything here.
	* terminal/terminal-helper-dialog.c(terminal_helper_dialog_init): Make
	  sure the descriptions are aligned properly.
	* Terminal.1: Update the manual page.
	* THANKS: Add Andrew Conkling <andrewski@fr.st> as documentation writer.
	* po/de.po: Update german translations.
	* po/Terminal.pot: Update the .pot file.
	* doc/: Update the documentation, with help from Andrew Conkling
	  <andrewski@fr.st>.

2005-03-19	Benedikt Meurer <benny@xfce.org>

	* po/ru.po: Update the russian translations, thanks to Anthony Ivanoff
	  <a-i@bk.ru>.

2005-03-19	Benedikt Meurer <benny@xfce.org>

	* po/es.po: Update the spanish translations, thanks to Jaime Buffery
	  <nestu@lunar-linux.org>.
	* po/*.po: Sync .po files.

2005-03-17	Benedikt Meurer <benny@xfce.org>

	* po/nl.po, NEWS: Update dutch translations, thanks to Jasper
	  Huijsmans <jasper@xfce.org>.

2005-03-17	Benedikt Meurer <benny@xfce.org>

	* configure.ac, THANKS, terminal/terminal-window.c, po/ja.po, NEWS: Add
	  japanese translations, thanks to Daichi Kawahata
	  <daichik@users.sourceforge.net>.
	* po/*.po: Update po files.

2005-03-15	Benedikt Meurer <benny@xfce.org>

	* po/zh_TW.po: Update the chinese translations, thanks to Hydonsingore
	  Sie <hydonsingore@mail.educities.edu.tw>.

2005-03-15	Benedikt Meurer <benny@xfce.org>

	* po/fr.po: Update the frensh translations, thanks to Stephane Roy
	  <sroy@j2n.net>.

2005-03-15	Benedikt Meurer <benny@xfce.org>

	* po/fi.po: Update the finish translations, thanks to Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2005-03-14	Benedikt Meurer <benny@xfce.org>

	* po/: Make sure galeon.desktop.in is translated as well.

2005-03-14	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-helper-dialog.c, po/: Small text fix.

2005-03-14	Benedikt Meurer <benny@xfce.org>

	* configure.ac, doc/C/Terminal.xml.in: Automatically substitute the
	  package version for the documentation.
	* HACKING: Update the documentation step.
	* doc/C/images/*.png: Update the screenshots.
	* doc/C/Terminal.xml.in: Add a note about the new "MiscTabCloseButtons"
	  hidden option.
	* po/: Update translations.
	* helpers/galeon.desktop.in, helpers/Makefile.am: Add Galeon.

2005-03-14	Benedikt Meurer <benny@xfce.org>

	* doc/C/*.html: Remove autogenerated html files.
	* doc/C/Makefile.am, configure.ac, Makefile.am: Automatically generate
	  html files if xsltproc is detected on the target system. Else use the
	  included html files from the dist tarball.
	* doc/terminal.xsl: Remove obsolete shade.verbatim parameter.

2005-03-14	Benedikt Meurer <benny@xfce.org>

	* configure.ac: Be verbose when testing the D-BUS version.
	* terminal/terminal-helper-dialog.c(menu_activate_other): Make this
	  compile with --disable-final.
	* terminal/terminal-dbus.c(handle_message): Use DBUS_INTERFACE_LOCAL
	  when compiling with D-BUS >= 0.31.
	* terminal/terminal-dbus.c: Use dbus_message_set_auto_start() when
	  compiling with D-BUS >= 0.31.

2005-03-14	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-tab-header.c, terminal/terminal-preferences.c, NEWS:
	  Add a hidden option "MiscTabCloseButtons", which can be either "TRUE"
	  or "FALSE" and determines whether close buttons should be shown in the
	  terminal tab headers or not. This works around bug #64 until we get
	  a better notebook widget.
	* helpers/balsa.desktop.in, helpers/evolution.desktop.in,
	  helpers/sensible-browser.desktop.in, helpers/kmail.desktop.in,
	  helpers/Makefile.am: Add .desktop files for the Balsa, KMail and
	  Evolution Mail Readers. Add a .desktop file for the default Debian
	  browser, the so called sensible-browser.
	* terminal/terminal-helper-dialog.c: Add a tooltip to the chooser
	  button.
	* terminal/terminal-tab-header.c(terminal_tab_header_init): Add a border
	  of 2 around the label to make it look less busy if the close button
	  is disabled.
	* po/: Update the translations with the recent string changes.

2005-03-13	Benedikt Meurer <benny@xfce.org>

	* po/he.po: The hebrew translations have been updated, thanks to
	  Yuval Tanny <tanai@int.gov.il>.
	* terminal/stock-icons/stock_mailreader_48.png,
	  terminal/stock-icons/stock_webbrowser_48.png,
	  terminal/stock-icons/stock_browser_48.png,
	  terminal/stock-icons/stock_mailer_48.png: Unify the naming scheme
	  for helper category related stuff.
	* terminal/Makefile.am, terminal/terminal-marshal.list: Add custom
	  marshallers for the "get-context-menu" and "open-uri" signals.
	* terminal/terminal-helper-dialog.c, terminal/terminal-helper.c,
	  terminal/terminal-helper.h, terminal/terminal-icons.c, 
	  terminal/terminal-preferences.c, terminal/terminal-widget.c,
	  terminal/terminal-widget.h, terminal/terminal-window.c: Use the simple
	  way of handling custom helpers just like other helpers. Connect the
	  "Open Link" and "Copy Link Address" controls. Various other
	  improvements. This finally closes bug #52.
	* terminal/terminal-screen.c: Forward the "get-context-menu" and
	  "open-uri" signals from TerminalWidget.
	* terminal/terminal-widget.c(terminal_widget_button_press_event): 
	  Middle-clicking on an URI now fires the associated helper.
	* po/: Update translations.
	* NEWS: Add note about the new "URL clicking"-support. More details
	  on the other items.

2005-03-12	Benedikt Meurer <benny@xfce.org>

	* helpers/epiphany.desktop.in: Add Epiphany.
	* helpers/firefox.desktop.in, helpers/konqueror.desktop.in, 
	  helpers/opera-browser.desktop.in, helpers/mozilla-browser.desktop.in,
	  helpers/mutt.desktop.in, helpers/lynx.desktop.in,
	  helpers/thunderbird.desktop.in, helpers/opera-mailer.desktop.in,
	  helpers/mozilla-mailer.desktop.in, helpers/Makefile.am,
	  terminal/terminal-helper.c: Revert to the multiple .desktop
	  files method instead of using the single .ini file way.
	* terminal/terminal-helper-dialog.c, terminal/terminal-helper-dialog.h,
	  terminal/terminal-helper.c: Improve the way, the TerminalHelperChooser
	  accesses the TerminalHelpers in the TerminalHelperDatabase.
	* terminal/terminal-helper-dialog.c: Display a watch cursor while
	  loading the menu.
	* configure.ac, terminal/Makefile.am, terminal/terminal-dbus.c: Fix
	  further issues concerning D-BUS 0.31. Remove the runtime library
	  detection, since the SONAME was bumped for D-BUS 0.31.

2005-03-12	Benedikt Meurer <benny@xfce.org>

	* terminal/stock-icons/Makefile.am: Do not distribute the autogenerated
	  terminal-stock-pixbufs.h file.

2005-03-12	Benedikt Meurer <benny@xfce.org>

	* helpers/, po/, terminal/stock-icons/stock_browser_48.png,
	  terminal/stock-icons/stock_mailer_48.png, terminal/terminal-helper.c,
	  terminal/terminal-helper.h, terminal/terminal-helper-dialog.c,
	  terminal/terminal-helper-dialog.h, Makefile.am, configure.ac,
	  Terminal.ui, terminal/Makefile.am, terminal/stock-icons/Makefile.am,
	  terminal/terminal-icons.c, terminal/terminal-icons.h, 
	  terminal/terminal-preferences.c, terminal/terminal-window.c: Initial
	  import of the helper application framework, which will allow users to
	  open URLs from within Terminal, and which will probably be ported to
	  Xfce later. The new framework still needs to be connected to the
	  TerminalWidget.
	* po/fi.po: Update finish translations, thanks to Jari Rahkonen 
	  <jari.rahkonen@pp1.inet.fi>.

2005-03-09	Benedikt Meurer <benny@xfce.org>

	* Terminal.spec.in: Update the spec file.

2005-03-02	Benedikt Meurer <benny@xfce.org>

	* configure.ac, NEWS: Update version to 0.2.4pre1.
	* po/: Run 'make update-po'.
	* doc/: Run 'make html'.

2005-02-27	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-monitor.c, terminal/terminal-monitor.h,
	  terminal/Makefile.am: Add a simple file alteration monitor (similar
	  to what ExoFileWatch did previously).
	* terminal/terminal-preferences.c: Make use of TerminalMonitor to watch
	  the possible configuration files for changes and reload them on
	  demand.

2005-02-19	Benedikt Meurer <benny@xfce.org>

	* configure.ac, po/zh_CN.po, terminal/terminal-window.c, NEWS, THANKS:
	  Add zh_CN translations, thanks to Army Gu <redarmy@gmail.com>.

2005-02-15	Benedikt Meurer <benny@xfce.org>

	* Terminal.spec.in: Add --enable-final to the configure line.
	* configure.ac: Depend on libexo 0.3.

2005-01-31	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences-dialog.c: Added more tooltips.
	* po/Terminal.pot, po/de.po: Updated the german translations.

2005-01-31	Benedikt Meurer <benny@xfce.org>

	* terminal/Makefile.am, terminal/HACKING, po/POTFILES.in: Added rules
	  to properly auto-generate the built files. These autogeneration rules
	  are only available if --enable-maintainer-mode is specified for 
	  configure (which is usually the case for autogen runs, but not
	  for enduser configure runs).
	* configure.ac, terminal/terminal-dbus.c, terminal/terminal-dbus.h,
	  terminal/terminal-app.c, terminal/terminal-app.h, terminal/main.c:
	  D-BUS is now an optional dependency, and Terminal is prepared for
	  the upcoming breakage with D-BUS 0.30, using some runtime linker
	  magic.
	* po/POTFILES.in: Don't include autogenerated files here.

2005-01-30	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c(terminal_window_confirm_close): Made
	  "Close all tabs" the default button.
	* terminal/main.c(main): Made GtkAccelGroup accept Mod5 (Super_L
	  and Super_R) as modifier.
	* terminal/terminal-shortcut-editor.c(terminal_shortcut_editor_compose):
	  Use gtk_accelerator_get_default_mod_mask() as mask for valid
	  modifiers and make sure, that Terminal doesn't pick up AltGr,
	  Scroll_Lock, Super_L or Super_R as key values.
	* terminal/terminal-screen.c(terminal_screen_get_title): Removed
	  disturbing debug message.
	* terminal/terminal-window.c(terminal_window_rebuild_gomenu): Be sure
	  to override the "can-activate-accel" method of the Go menu items,
	  which by default requires that the widget is on-screen, but we want
	  the accelerators to work even if the menubar is hidden. This fixes
	  bug #53.

2005-01-28	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c: Fix bug in next/previous tab functions,
	  which was introduced with tab cycling. This finally fixes
	  bug #54.

2005-01-27	Benedikt Meurer <benny@xfce.org>

	* po/fi.po, po/fr.po, terminal/terminal-window.c, THANKS: Added
	  fi translations from Jari Rahkonen <jari.rahkonen@pp1.inet.fi>.
	  Updated fr translations, thanks to Stephane Roy <sroy@j2n.net>.
	* Terminal.desktop.in: Use intltool to automatically merge the
	  translations for the .desktop files from the .po files.
	* configure.ac, autogen.sh: Use xfce4-dev-tools.
	* terminal/terminal-toolbars-view.c, terminal/terminal-toolbars-view.h:
	  Remove wrong statements from the initial comments block.

2005-01-24	Benedikt Meurer <benny@xfce.org>

	* terminal/stock-icon-*.png, terminal/stock-icons/*.png,
	  terminal/terminal-icons.c, terminal/terminal-icons.h,
	  terminal/terminal-preferences-dialog.c, terminal/main.c,
	  terminal/terminal-toolbars-view.c, configure.ac,
	  terminal/stock-icons/Makefile.am, terminal/Makefile.am:
	  Moved all stock icons to stock-icons/ sub directory and
	  generate the C source file on the target machine, rather
	  than generating it prior to distribution. Stock icons are
	  now loaded on-demand, rather than setting up all stock
	  icons on startup. This should speed up startup slightly.

2005-01-23	Benedikt Meurer <benny@xfce.org>

	* terminal/main.c: Be sure to initialize the locale first, using
	  gtk_set_locale(), because else usage() will not use the
	  available translations.
	* po/ru.po, po/ru.gmo, terminal/terminal-window.c: Added russian 
	  translations, thanks to Anthony Ivanoff <a-i@bk.ru>.

2005-01-21	Benedikt Meurer <benny@xfce.org>

	* configure.ac, po/he.po, po/he.gmo, terminal/terminal-window.c,
	  terminal/main.c: Added hebrew translations, thanks to
	  Yuval Tanny <tanai@int.gov.il>.

2005-01-19	Benedikt Meurer <benny@xfce.org>

	* doc/, terminal/terminal-preferences.c, terminal/terminal-windows.c:
	  Added a hidden option "MiscCycleTabs" to allow users to circulate
	  through terminal tabs. The option is disabled by default. This
	  fixes bug #54.

2005-01-18	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c: Fix terminal screen redraw problem
	  with background image, see bug #46.

2005-01-17	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences.c: Changed default paste shortcut
	  to Shift+Ctrl+V instead of Shift+Ctrl+P. This fixes bug #50.

2004-12-30	Benedikt Meurer <benny@xfce.org>

	* configure.ac: Increment version to 0.2.3svn.
	* terminal/terminal-preferences-dialog.c, terminal/terminal-screen.c,
	  terminal/terminal-preferences.c, terminal/terminal-preferences.h,
	  terminal/terminal-enum-types.c, terminal/terminal-enum-types.h, po/,
	  NEWS: Added the possibility to let Vte auto-detect the backspace and
	  delete bindings. This seems to work pretty well. Fixes bug #44.

2004-12-29	Benedikt Meurer <benny@xfce.org>

	* Terminal.spec.in: Updated text.
	* po/: Updated translations.
	* configure.ac, NEWS, doc/: Version 0.2.2.

2004-12-28	Benedikt Meurer <benny@xfce.org>

	* NEWS: Update version.

2004-12-28	Benedikt Meurer <benny@xfce.org>

	* Makefile.am: Added dist-bz2 and distcheck-bz2 targets.
	* configure.ac: Incremeted Terminal D-BUS interface version.
	* terminal/terminal-enum-types.c, terminal/terminal-enum-types.h,
	  terminal/terminal-app.h, terminal/terminal-config.h.in,
	  terminal/terminal-app.c, terminal/main.c: Added user id checking;
	  that is, when connecting to a terminal service, the user id of
	  the caller is supplied and checked against the user id of the
	  service. If the user ids doesn't match, an error is returned to
	  the caller and the caller will run its own terminal instance,
	  w/o trying to establish a new terminal service. This fixes
	  bug #42.
	* po/: Updated.
	* configure.ac, NEWS, doc/: Version 0.2.2pre2.

2004-12-23	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c(terminal_window_about_idle): Don't use
	  the terminal-general stock icon for the about dialog, but the
	  Terminal application icon. This fixes bug #40.
	* terminal/terminal-window.c: The switch-page handler for the
	  GtkNotebook needs to be connected with G_CONNECT_AFTER, so the
	  "page" property is up-to-date when the handler is run.
	* terminal/terminal-window.c: Make sure that the window title and
	  the menu actions are updated properly, everytime a new tab gets
	  added or an existing tab is removed.
	* configure.ac, NEWS, doc/: Version 0.2.2pre1. There'll be no
	  0.2.1 release, due to certain issues.

2004-12-23	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-screen.c, terminal/terminal-window.c: Finally
	  found a solution to the shrinking-terminal-size problem, that has
	  proven to work with several machines running different window
	  managers (metacity on FC3 was the perfect debug tool here). The
	  main problem was the asynchronous execution of the terminal
	  application, which caused a second ConfigureEvent to be generated
	  from time to time during Tab creation. Besides that, the GtkNotebook
	  behaved badly if the signal handler for tab switching was bound
	  to notify::page; its now bound to switch-page, which seems to
	  work better, although I failed to understand why for now.

2004-12-23	Benedikt Meurer <benny@xfce.org>

	* Terminal.spec.in: Fix libexo dependencies. Fix mandir parameter.
	* configure.ac, doc/, NEWS: Version 0.2.1pre1. 0.2.1 release was
	  cancelled, due to problems on some Linux systems.

2004-12-22	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c, terminal/terminal-tab-header.c,
	  terminal/terminal-tab-header.h: Rename the double-clicked signal
	  to set-title to be more specific on its usage.
	* terminal/terminal-window.c: Force tabs to be equal in width.
	* HACKING: Added note how to checkout using the subversion client.
	* po/: Updated translations. Final touch.
	* THANKS: Updated.

2004-12-22	Benedikt Meurer <benny@xfce.org>

	* po/zh_TW.gmo, po/zh_TW.gmo: Updated chinese translations, thanks
	  to Hydonsingore Sie <hydonsingore@mail.educities.edu.tw>.

2004-12-22	Benedikt Meurer <benny@xfce.org>

	* NEWS: Added note about new es translations.

2004-12-21	Benedikt Meurer <benny@xfce.org>

	* po/nl.po, po/nl.gmo: Updated dutch translations, thanks to
	  Jasper Huijsmans <jasper@xfce.org>.
	* po/es.po, po/es.gmo, configure.ac, THANKS, Terminal.desktop,
	  terminal/terminal-window.c: Added spanish translations, thanks to
	  Jaime Buffery <nestu@lunar-linux.org>.
	* doc/C/: Updated the online documentation with new screenshots and
	  documented the new functions in 0.2.1.

2004-12-21	Benedikt Meurer <benny@xfce.org>

	* po/, terminal/terminal-preferences-dialog.c: Implementation details
	  should not be exposed to the user, and so the misleading tooltip for
	  the "[ ] Allow bold text" option was removed again.

2004-12-21	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-tab-header.c, terminal/terminal-tab-header.h,
	  terminal/terminal-window.c, terminal/terminal-window.h,
	  terminal/terminal-app.c: Added a popup menu to the terminal tabs,
	  with items "Close Tab" and "Detach Tab". "Detach Tab" allows users
	  to detach a tab from an existing terminal window and reopen it
	  in a new terminal window.
	* terminal/terminal-screen.c: Set terminal colors at construction time
	  instead of delaying it for realize(). The delay was only required for
	  the color-system-theme setting, that was removed yesterday.
	* terminal/terminal-screen.c, terminal/terminal-preferences-dialog.c,
	  terminal/terminal-preferences.c: Added an option "Allow bold text"
	  to control whether or not the terminal will attempt to draw bold
	  text by repainting text with a different offset.
	* po/: Ran make update-po. Updated german translations.

2004-12-21	Benedikt Meurer <benny@xfce.org>

	* NEWS: Typos and updates.

2004-12-20	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-screen.c: Remove color-system-theme here as well.
	* po/: Run make update-po. Updated german translations.
	* doc/: Update documentation with latest changes.

2004-12-20	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences-dialog.c,
	  terminal/terminal-preferences.c: Removed the color-system-theme
	  setting, as it seems to be mostly unused.
	* terminal/terminal-widget.c(terminal_widget_key_press_event): Allow
	  users to scroll up/down one line using Shift+Up and Shift+Down,
	  in the same manner as aterm does. This fixes bug #36.

2004-12-19	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-tab-header.c, terminal/terminal-tab-header.h: Better
	  fix for bug #33. GtkEventBox can easily be triggered to not create
	  a GdkWindow itself, which in turn doesn't break engines.

2004-12-18	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-tab-header.c, terminal/terminal-tab-header.h: Fix
	  tab appearance oddities with the Gtk+ pixmap engine. This should
	  fix bug #33.

2004-12-18	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c: Another attempt to fix the sizing
	  bug with newly opened terminal tabs (bug #29).
	* vim.tcpalette, linux.tcpalette, xterm.tcpalette, rxvt.tcpalette,
	  terminal/terminal-preferences-dialog.c, pixmaps/, Terminal.mime.xml,
	  Makefile.am: Remove the color palette stuff again. Will be replaced
	  with a real color scheme management later (to fix bug #32).
	* terminal/terminal-preferences.c, terminal/terminal-window.c,
	  terminal/terminal-shortcut-editor.c, Terminal.ui, NEWS: Added a new
	  toplevel menu "Go", and moved "Prev Tab" and "Next Tab" to this
	  menu. All tabs are now listed in this "Go" and the first 9 tabs
	  can be assigned a keyboard shortcut (Alt+# by default). This fixes
	  bug #31.
	* po/: Update .po files. Update german translations.

2004-12-16	Benedikt Meurer <benny@xfce.org>

	* Terminal.desktop: Update translations; enable startup notification;
	  add Utility category.

2004-12-15	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-app.c(terminal_app_save_yourself): Use the command
	  as specified for gtk_init() when setting the RestartCommand on
	  SaveYourself if possible.
	* terminal/terminal-window.c(terminal_window_add): Ensure that the
	  widget allocation is done done before the grid size is applied after
	  a new terminal tab is added. This fixes bug #29.

2004-12-15	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-options.c: Fix a typo in the error message of
	  the --role option. This fixes bug #30.

2004-12-14	Benedikt Meurer <benny@xfce.org>

	* configure.ac, THANKS, terminal/terminal-window.c, po/: Added
	  zh_TW translations from Hydonsingore Sie
	  <hydonsingore@mail.educities.edu.tw>.

2004-12-13	Benedikt Meurer <benny@xfce.org>

	* configure.ac, THANKS, terminal/terminal-window.c, po/: Added
	  en_GB translations from Dwayne Bailey <dwayne@translate.org.za>.

2004-12-12	Benedikt Meurer <benny@xfce.org>

	* terminal/main.c, po/: The --help string is now split up into
	  several smaller strings (one per option) to ease the translators
	  job.

2004-12-12	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-widget.c(terminal_widget_key_press_event):
	  Following the accessibility guidelines, pressing Shift<F10> in
	  terminal window also pops up the right-click menu now.
	* terminal/terminal-preferences-dialog.c: Added tooltips for various
	  controls.
	* po/: Updated .po files with recent changes. Updated the german
	  translations.

2004-12-10	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences-dialog.c: Slightly changed the format
	  of the .tcpalette files. Added check to notify the user when he
	  is attempting to save to a file that already exists.
	* linux.tcpalette, rxvt.tcpalette, vim.tcpalette, xterm.tcpalette,
	  Makefile.am: Added predefined terminal color palette files.

2004-12-09	Benedikt Meurer <benny@xfce.org>

	* pixmaps/, Makefile.am, terminal/terminal-preferences-dialog.c,
	  Terminal.mime.xml: Added possibility to load and save terminal
	  color palettes from and to external files. Terminal additionally
	  installs MIME type and MIME icons for the .tcpalette files into
	  the proper locations to offer best possible desktop integration.

2004-12-09	Benedikt Meurer <benny@xfce.org>

	* terminal/Terminal.spec.in: Added BuildRoot and fixed URL to make
	  this work correctly.

2004-12-08	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-app.c(terminal_app_find_screen): Fix to open
	  remote displays properly.
	* terminal/terminal-shortcut-editor.c: Strip off invalid modifiers
	  when the user enters a shortcut. This fixes bug #26.

2004-12-07	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-screen.c, terminal/terminal-options.c,
	  terminal/main.c: Use -T as shortcut for --title. -t is
	  still supported for compatibility with gnome-terminal.

2004-12-06	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c: Users can open only one preferences
	  dialog per terminal window. This fixes bug #27.

2004-12-04	Benedikt Meurer <benny@xfce.org>

	* doc/C/: Fix link.

2004-12-03	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-options.c, terminal/terminal-options.h,
	  terminal/terminal-window.c, terminal/terminal-window.h,
	  terminal/terminal-app.c, terminal/main.c, doc/C/faq.html,
	  doc/C/Terminal.xml, doc/C/advanced.html: Added command line option
	  --fullscreen to put a window into fullscreen mode.
	* terminal/terminal-screen.c: Display an error if Terminal is
	  unable to determine the users login shell.
	* configure.ac, NEWS: Bump version to 0.2.1svn. Bump D-BUS interface
	  version to 2.

2004-12-03	Benedikt Meurer <benny@xfce.org>

	* configure.ac: Depend on vte 0.11.11, since AntiAlias API isn't
	  available in earlier versions.

2004-12-02	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-app.c(terminal_app_try_invoke): Always set
	  error when returning FALSE.
	* doc/C/: Updated online documentation.
	* po/: Updated translations.
	* configure.ac, NEWS: Version 0.2.0, depends on latest libexo 0.2.0.

2004-11-29	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-screen.c, terminal/terminal-widget.c: Setup
	  background in _init() instead of _map() to avoid flickering on
	  startup. Delay execution of the child command until all windows
	  are setup properly and the application becomes idle. These
	  fixes together should give a smoother and probably faster
	  startup.

2004-11-29	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-screen.c, terminal/terminal-shortcut-editor.c,
	  terminal/terminal-preferences.c, terminal/terminal-image-loader.c:
	  Drastically simplified the TerminalPreferences class. Its nearly
	  100% generic now.
	* terminal/terminal-accel-map.c: Call the notify handler directly
	  instead of calling g_object_notify.

2004-11-28	Benedikt Meurer <benny@xfce.org>

	* po/de.po, po/de.gmo: Fix version number.

2004-11-28	Benedikt Meurer <benny@xfce.org>

	* configure.ac, NEWS: Version 0.2.0pre2.
	* doc/: Updated online documentation for 0.2.0pre2.
	* po/: Ran make update-po. Updated german translations.

2004-11-27	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences-dialog.c: Widget layout fixes.
	* terminal/main.c: Don't print the usage screen to stderr if
	  --help was specified.
	* doc/, TODO: Updated online documentation with new screenshots,
	  hidden options and command line options.
	* terminal/terminal-screen.c, terminal/terminal-screen.h,
	  terminal/terminal-window.c, terminal/terminal-window.h,
	  terminal/terminal-app.c, terminal/terminal-widget.c,
	  terminal/terminal-widget.h: TerminalWidget is now a subclass
	  of VteTerminal and TerminalScreen includes the hbox with the
	  scrollbar.
	* terminal/terminal-widget.c, terminal/terminal-widget.h: Added a
	  work-around to allow passing mouse clicks to applications (like
	  mc) properly. This fixes #18.

2004-11-27	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences-dialog.c:  "Shortcut keys" is now
	  above the "Menubar access" controls.

2004-11-27	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-shortcut-editor.c, po/: Better error message dialog
	  when Terminal failes to grab the keyboard for shortcut input.
	* terminal/terminal-preferences-dialog.c: Revert bottom-margin change
	  to the shortcuts page, because it looks odd with themes other than
	  the ones included with Xfce.

2004-11-26	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-tab-header.c: Update to the fixed ExoEllipsizedLabel
	  API.
	* docs/C/: Update version.
	* configure.ac, NEWS: Update version to 0.2.0pre1.

2004-11-25	Benedikt Meurer <benny@xfce.org>

	* docs/C/: Correct date.

2004-11-25	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-toolbars-view.c: Keep up with the changes to
	  ExoToolbarsView.
	* docs/: Updated documentation and added information about files
	  and environment variables.
	* Terminal.1: Fix several typos.
	* TODO: Update TODO list.

2004-11-24	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-options.c: Fix crash if an invalid option is
	  passed to Terminal.
	* terminal/Makefile.am: Don't include the stock icon pngs in the
	  final dist tarball, as all the information is already included
	  in the stock-icons.h file.
	* terminal/main.c: Prepend standard arguments instead of appending
	  them to avoid problems with -x/--execute.
	* doc/: Updated online documentation.
	* po/: Updated translations.

2004-11-24	Benedikt Meurer <benny@xfce.org>

	* terminal/stock-*48.png, terminal/stock-icons.h, terminal/main.c,
	  terminal/terminal-window.c, terminal/terminal-shortcut-editor.c,
	  terminal/terminal-preferences-dialog.c, icons/, pixmaps/, Makefile.am,
	  configure.ac: Use stock icons instead of loading the icons at runtime
	  to reduce startup time and avoid problems with improperly system
	  setups.

2004-11-23	Benedikt Meurer <benny@xfce.org>

	* NEWS: Collected all changes for the next release, that have been made
	  so far.

2004-11-23	Benedikt Meurer <benny@xfce.org>

	* terminal/Makefile.am: Symlink executable 'Terminal' to 'terminal'.
	* terminal/terminal-window.c, terminal/terminal-preferences.c: Added
	  confirmation dialog, that pops up when a window with more than one
	  tab is about to be closed. The confirmation can be disabled from
	  the dialog. This fixes bug #22.
	* README, HACKING, THANKS: Improved these documents.
	* terminal/terminal-preferences.c: Flush pending writes on dispose.

2004-11-23	Benedikt Meurer <benny@xfce.org>

	* terminal/main.c: Mutli-head fixes.
	* configure.ac, terminal/terminal-app.c: Use new class ExoXsessionClient
	  for session management support.

2004-11-22	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c, terminal/terminal-preferences-dialog.c,
	  terminal/terminal-preferences.h, terminal/terminal-preferences.c:
	  Updated to use ExoBinding instead of ExoPropertyProxy.
	* configure.ac: Updated version to 0.2.0svn. Depend on libexo 0.2.0.
	* po/: Updated translations.
	* TODO, terminal/terminal-app.c, configure.ac: Added session
	  management support, based on the X11R5 session management protocol.

2004-11-22	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences.c: Use ASCII DEL for backspace binding
	  by default.

2004-11-22	Benedikt Meurer <benny@xfce.org>

	* terminal/configure.ac, terminal/terminal-window.c,
	  terminal/Makefile.am: Startup notification support is optional
	  now.
	* terminal/main.c(usage): Update --help output.
	* terminal/terminal-app.c, terminal/terminal-options.h,
	  terminal/terminal-options.c, terminal/terminal-window.c,
	  terminal/terminal-toolbars-view.c:
	  Added multi-screen and multi-display support.
	* terminal/terminal-options.h, terminal/terminal-options.c,
	  terminal/terminal-widget.c, terminal/terminal-widget.h,
	  terminal/terminal-window.c, terminal/terminal-window.h:
	  Prepare for session management support.

2004-11-22	Benedikt Meurer <benny@xfce.org>

	* terminal/Makefile.am: Include terminal-config.h.in in dist.
	* TODO: Added note about optional startup notification dependency.

2004-11-21	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-enum-types.c, terminal/terminal-preferences.h: Erase
	  binding numbers where wrong (ASCII DEL was ASCII backspace, etc.).
	  This should fix bug #20.
	* terminal/terminal-tab-header.h, terminal/terminal-tab-header.c,
	  terminal/terminal-window.c: Terminal title can be changed by
	  double-clicking the tab title now.
	* terminal/terminal-enum-types.c, terminal/terminal-enum-types.h,
	  terminal/terminal-options.c, terminal/options.h, terminal/main.c:
	  Replaced the old command line option module with a new and more
	  flexible one, that allows for easy session management (similar
	  to what gnome-terminal does). E.g. its now possible to show/hide
	  menubar/toolbars/borders from the command line or to open multiple
	  tabs/windows.
	* terminal/terminal-app.h, terminal/terminal-app.c, configure.ac,
	  terminal/terminal-config.h.in: New D-BUS interface, now in
	  namespace `xfce.org' and versioned.
	* configure.ac, terminal/terminal-window.c, terminal/Makefile.am,
	  terminal/terminal-options.c: Added support for startup notification
	  and thereby depend on libstartup-notification-1.0 now.

2004-11-19	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences.c, terminal/terminal-widget.c,
	  terminal/terminal-preferences-dialog.c: Added an option to explicitly
	  control the font antialiasing for the terminal window. Disabling
	  this option can impressively speed up Terminal performance and
	  reduce system load on slow systems.

2004-11-18	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences-dialog.c, terminal/terminal-window.c,
	  terminal/terminal-preferences.c: Added an option to disable all
	  menu access keys (such as Alt+f, etc.). This allows to pass key
	  combinations such as Alt+A to applications. The problem was
	  reported by Bernhard Walle.

2004-11-17	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-widget.c: Use g_object_connect() instead of
	  g_signal_connect()'s when connecting a large number of signals.
	* po/de.po, po/de.gmo: Small fix to shrink the size of the utmp/wtmp
	  translation.

2004-11-16	Benedikt Meurer <benny@xfce.org>

	* po/de.po, po/de.gmo: Translate `General' with `Allgemein' instead
	  of `Generell'. Thanks to Bernhard Walle <bernhard@bwalle.de> for
	  this tip.

2004-11-16	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-widget.c: Apply the color settings right after
	  the VTE widget was realized, and the background settings right
	  after the VTE widget was mapped. This should fix several problems
	  where the VTE widget was misdisplayed initially.

2004-11-15	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences-dialog.c, terminal/terminal-window.c:
	  Made the Preferences dialog and the `Set Title' dialog properly
	  accessible.

2004-11-15	Benedikt Meurer <benny@xfce.org>

	* Terminal.ui: Removed close-tab from the default right-click
	  menu.
	* terminal/terminal-toolbars-view.c: Added a right-click menu
	  to the toolbars that allows you to enter Editing mode.
	* terminal/terminal-window.c: Added '...' to menu items that require
	  further user input. Make close-tab insensitive if only one tab
	  is currently open.
	* terminal/terminal-preferences.c, terminal/terminal-widget.c,
	  terminal/terminal-preferences-dialog.c: Added an option to use
	  the terminal foreground and background color from the given
	  Gtk+ theme.
	* icons/48x48/Terminal-colors.png, icons/scalable/Terminal-colors.svg,
	  icons/48x48/Terminal-appearance.png,
	  icons/scalable/Terminal-appearance.svg,
	  terminal/terminal-preferences-dialog.c: Major interface rework of
	  the Preferences dialog picking up several ideas from the GNOME
	  Human Interface Guidelines.
	* po/: Updated translations.
	* configure.ac, HACKING: Added terminal_version_tag M4 macro that is
	  set to `svn' between releases to indicate that this is not an
	  officially released version.

2004-11-14	Benedikt Meurer <benny@xfce.org>

	* terminal/Makefile.am, terminal/Makefile.in, HACKING: Do not
	  regenerate the stock icon file and the enum-types file on the
	  target systems.

2004-11-12	Benedikt Meurer <benny@xfce.org>

	* configure.ac, NEWS: Version 0.1.10, depend on latest exo 0.1.3.
	* Terminal.desktop, icons/48x48/, icons/scalable/, terminal/main.c,
	  terminal/terminal-preferences-dialog.c, terminal/terminal-window.c:
	  Rename themable icons to avoid conflicts with other applications
	  and icon themes.
	* doc/C/: Documentation was updated for the new release. A section
	  about luit was added to the documentation.
	* m4/debug.m4: --enable-final is on by default for plattforms that
	  support it.
	* terminal/terminal-window.c: Added tooltips for Copy and Paste.
	* po/: Updated translations.

2004-11-11	Benedikt Meurer <benny@xfce.org>

	* terminal/stock-icon-showmenu24.png, terminal/stock-icons.h: Better
	  showmenu icon.

2004-11-11	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c(terminal_window_init): Also reset the
	  Terminal size and update the geometry hints when the scrollbar
	  visibility is changed.
	* terminal/main.c, terminal/stock-icon-closetab16.png,
	  terminal/stock-icon-closetab24.png,
	  terminal/stock-icon-closewindow16.png,
	  terminal/stock-icon-closewindow24.png,
	  terminal/stock-icon-showborders24.png,
	  terminal/stock-icon-showmenu24.png,
	  terminal/stock-icon-reportbug24.png: Added a bunch of new
	  icons, thanks to Francois.
	* terminal/terminal-toolbars-model.c, terminal/terminal-window.c: Set
	  up the newly added stock icons. Added more actions to the toolbars.

2004-11-10	Benedikt Meurer <benny@xfce.org>

	* Terminal.spec.in: Keep up with latest changes.
	* Terminal.1: Added manual page.
	* doc/C/: Updated images in the documentation. Added FAQ entry
	  about how to customize the Terminal.ui file.
	* TODO: Added note to look at Gnome HIG to improve the
	  Preferences dialog.

2004-11-10	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c(terminal_window_init): Also reset the
	  Terminal window size and update the geometry hints when the font
	  is changed.
	* terminal/terminal-options.c: Default to current working directory
	  if no --working-directory option was specified. This fix a problem
	  with ROX XTerm-here as reported by an user on the forums.

2004-11-10	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-preferences-dialog.c: Reworked the background
	  image file selector a bit.
	* terminal/terminal-window.c: Finally found a way to fix the long
	  standing problem, where the Terminal window resizes upon Gtk+
	  theme changes. This should fix bug #7.

2004-11-10	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-window.c: Added tooltip for the edit-toolbars
	  action.

2004-11-09	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-widget.c(terminal_widget_force_resize_window): Grab
	  focus to VTE terminal widget every time we get here, so windows
	  don't get focus on the toolbars.
	* terminal/stock-icon-fullscreen24.png,
	  terminal/stock-icon-newtab16.png,
	  terminal/stock-icon-newtab24.png,
	  terminal/stock-icon-newwindow16.png,
	  terminal/stock-icon-newwindow24.png,
	  terminal/stock-icon-reportbug16.png,
	  terminal/stock-icon-reportbut48.png,
	  terminal/stock-icons.h, terminal/main.c(stock_icons_init): Use and
	  setup Gtk+ stock icons with all required icon sizes.
	* terminal/terminal-toolbars-model.h,
	  terminal/terminal-toolbars-model.c,
	  terminal/terminal-toolbars-view.h,
	  terminal/terminal-toolbars-view.c,
	  terminal/terminal-window.c: Add new customizable toolbar based on
	  the new implementation in libexo. In addition, add some tooltips
	  to the GtkActions.
	* terminal/terminal-preferences.c, terminal/terminal-shortcut-editor.c,
	  terminal/terminal-preferences-dialog.c: Added shortcut and option
	  for the toolbars stuff.
	* po/: Updated .po files. Updated german translations.
	* Terminal-toolbars.ui: Default .ui file for the toolbars.
	* Terminal.ui: Added new menu items.

2004-11-03	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-image-loader.c: Fix crash with width/height == 1/1.
	* terminal/terminal-app.c(terminal_app_launch_with_options): Realize
	  terminal window before launching the terminal command, so the
	  environment variables WINDOWID and DISPLAY are set properly.
	* terminal/terminal-preferences.c, terminal/terminal-widget.c: Made
	  the window title workaround configurable as a hidden setting
	  VteWorkaroundTitleBug, the actual bug do not seem to be in VTE,
	  but a problem with applications that determine the window title
	  using the environment variable WINDOWID.
	* terminal/main.c(main): Added GLib version check (2.6 only). Print
	  Gtk+ versions (built/runtime) with --version.
	* terminal/terminal-preferences-dialog.c: Added preview widget to
	  the background image file chooser window. Added file filters
	  based on the installed GdkPixbuf formats.

2004-11-02	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-widget.c: Work around a problem in VTE, where
	  the initial title is prepended again and again. This should fix
	  bug #10.
	* terminal/terminal-image-loader.c, terminal/terminal-widget.c,
	  terminal/terminal-image-loader.h, terminal/terminal-preferences.c,
	  terminal/terminal-preferences-dialog.c,
	  terminal/terminal-preferences.h: Added style (centered, scaled,
	  stretched, tiled) option for background images. This should fix
	  bug #9.
	* terminal/main.c: Don't make CRITICAL fatal with --enable-debug,
	  since this crashes Terminal due to bugs in GtkFileChooser.
	* po/: Run make update-po and updated de.po.
	* TerminalHelp.in: Perform browser search instead of forcing
	  mozilla.

2004-10-12	Benedikt Meurer <benny@xfce.org>

	* configure.ac: Version 0.1.9, depend on latest exo 0.1.2.
	* m4/debug.m4: Added linker optimizations if --enable-final is
	  given (recent GNU binutils required).
	* doc/C/Terminal.xml: Update version and date.

2004-10-10	Benedikt Meurer <benny@xfce.org>

	* Terminal.ui, terminal/terminal-window.c: Load the UI description
	  from the Terminal.ui file at runtime to allow users to customize
	  the menus.

2004-10-03	Benedikt Meurer <benny@xfce.org>

	* HACKING: Added note to update gnomefiles.org entry when releasing.

2004-10-02	Benedikt Meurer <benny@xfce.org>

	* doc/C/Terminal.xml: Added FAQ entry how to fix Home/End keys in
	  Terminal, thanks to sofar@lunar-linux.org.
	* TODO: Added note on how to handle backwards compatibility in the
	  D-BUS service interface.

2004-09-31	Benedikt Meurer <benny@xfce.org>

	* configure.ac: Version 0.1.8.
	* terminal/terminal-preferences.c(transform_string_to_double): Try
	  to transform using strtod first, fallback to g_ascii_strtod if
	  the first failes. Should fix bug #2.
	* terminal/terminal-app.c(terminal_app_new_window): Be sure to
	  zero out options struct here. Should fix bug #3.
	* terminal/Terminal.desktop: Added translations.
	* po/fr.po, po/nl.po: Added french and dutch translations.
	  Dutch translation reviewed and fixed by Jasper Huijsmans
	  <jasper@xfce.org>.
	* po/de.po: Updated german translations.
	* doc/C/Terminal.xml: Added FAQ to the documentation. Random
	  tweaks.
	* terminal/terminal-preferences.c: Corrected spelling of menu item
	  accelerators.
	* terminal/terminal-options.c, terminal/main.c: Added command line
	  option -e as a shortcut for --command.
	* THANKS: Added to list contributers.
	* debian/rules: Include THANKS file with the docs.

2004-09-30	Benedikt Meurer <benny@xfce.org>

	* configure.ac: Version 0.1.7.
	* terminal/terminal-preferences.c (transform_color_to_string): Use
	  full 16bit of each color component when storing colors.
	* terminal/terminal-preferences.c, terminal/terminal-widget.c,
	  terminal/terminal-preferences-dialog.c: Allow to specify the
	  color palette used by Terminal, defaults to the Linux console color
	  palette. Also use the specified background color for tinting
	  the terminal background in image and transparent mode.
	* terminal/terminal-window.c, terminal/main.c: Setup default icon
	  on startup not per newly created window.
	* terminal/terminal-preferences.c: Don't delete the whole Configuration
	  group when storing settings.
	* terminal/terminal-preferences.c, terminal-preferences-dialog.c,
	  terminal/terminal-widget.c, TODO: Allow the user to specify the
	  setting of the $TERM variable on new terminals.
	* doc/: Updated documentation and images to keep up with the
	  recent changes.
	* po/de.po: German translation updated.

2004-09-29	Benedikt Meurer <benny@xfce.org>

	* terminal/stock-icon-reportbug.png, terminal/terminal-window.c,
	  terminal/main.c: Added Report Bug icon from Francois Le Clainche.

2004-09-28	Benedikt Meurer <benny@xfce.org>

	* TODO: Added note about TERM environment variable.

2004-09-27	Benedikt Meurer <benny@xfce.org>

	* HACKING: Added note about bugzilla update to Release Process.

2004-09-26	Benedikt Meurer <benny@xfce.org>

	* icons/scalable: Added scalable versions of the terminal icons,
	  designed by Francois Le Clainche <fleclainche@wanadoo.fr>.
	* icons/48x48: Use new icons by Francois Le Clainche
	  <fleclainche@wanadoo.fr>.

2004-09-25	Benedikt Meurer <benny@xfce.org>

	* configure.ac, NEWS: Version 0.1.6, depends on exo-0.1 >= 0.1.1.
	* po/de.po: Translation updates.
	* terminal/terminal-window.c: Setup correct translation domain 
	  for the actions.
	* HACKING: Added note to update translations to Release process
	  section.
	* terminal/terminal-preferences-dialog.c, terminal/terminal-widget.c,
	  terminal/terminal-preferences.c: Remove custom command functionality,
	  since its useless, because Terminal offers -x/--execute command
	  line option. Remove visible bell option, as the visible bell provided
	  by VTE isn't worth to have an option.
	* terminal/terminal-preferences-dialog.c, terminal/terminal-window.c,
	  terminal/terminal-preferences.c, terminal/terminal-shortcut-editors.c:
	  Remove compact mode and replace it by two other options,
	  'show menubar' and 'show borders'.
	* terminal/terminal-preferences-dialog.c: Use GtkFrame instead of
	  XfceFramebox for smoother look.
	* terminal/terminal-widget.c: Bind to realize signal of VteTerminal
	  for setting terminal parameters instead of overloading the map
	  method of GtkWidget. Fix problem with monochrom mc on some linux
	  systems by explicitly setting TERM and COLORTERM environment
	  variables.
	* terminal/terminal-window.c: Added border and Help button to the
	  Set Title dialog. Added Report a bug to the Help menu.
	* TerminalHelp.in: Added second parameter to allow supplying a
	  page section id.
	* doc/: Lots of documentation updates. All images have been updated
	  to display the new xfwm default theme and to keep up with the
	  interface changes in Terminal.
	* terminal/stock-newtab.png, terminal/stock-newwindow.png: New icons
	  from Francois.
	* AUTHOR: Added Francois Le Clainche <fleclainche@wanadoo.fr>.

2004-09-24	Benedikt Meurer <benny@xfce.org>

	* TerminalHelp.in, doc/: Produce multiple html files for each toplevel
	  section instead of a single html file. Added more documentation.
	* terminal/terminal-widget.c, terminal/terminal-widget.h: Added
	  encoding property.

2004-09-23	Benedikt Meurer <benny@xfce.org>

	* terminal/terminal-tab-header.c, terminal/terminal-tab-header.h: Move
	  the terminal tab header functionality here.
	* terminal/terminal-widget.c, terminal-widget.h: Add possibility to
	  set a custom title and added functionality to get/set the working
	  directory in use for a widget.
	* terminal/terminal-window.c: Implement the "Set title" action. Set
	  a unique role on each newly created window. Added Help/Contents,
	  which runs TerminalHelp.
	* terminal/terminal-app.c: New terminal windows opened from existing
	  terminal windows inherit the working directory, atleast on plattforms
	  that supports getting the working directory for a child process.
	* terminal/main.c(usage): Include all command line options in the
	  usage output.
	* doc/: Added online documentation.
	* HACKING: Added notes about updating documentation to the
	  "Release process" section.
	* TerminalHelp.in: Simple script to launch a browser with the
	  Terminal online documentation.
	* debian/rules: Use /usr/bin as libexecdir, since Debian policies
	  seems to forbid the use of libexecdir.
	* terminal/terminal-preferences-dialog.c: Run TerminalHelp when the
	  Help button is clicked.

2004-09-22	Benedikt Meurer <benny@xfce.org>

	* configure.ac: Version 0.1.5.
	* m4/glib-gettext.m4: Added missing file.
	* debian/Terminal.xpm, debian/rules, debian/menu, icons/terminal.xpm,
	  icons/Makefile.am: Include XPM version of the icon in package.
	* Terminal.desktop: Added .desktop file.
	* Terminal.spec.in: Include file to ease RPM creation.
	* TODO: Remove fixed tasks.
	* HACKING: Mention the steps required to create a release.

2004-09-10	Benedikt Meurer <benny@xfce.org>

	* Initial import.

# vi:set ts=8 sw=8 noet ai nocindent:
